Main Page Class List Class Members

# Nv::Blast::FractureRT Class Reference

`#include <NvBlastExtRT.h>`

Inheritance diagram for Nv::Blast::FractureRT:

List of all members.

## Classes
struct | Stage
## Public Member Functions
virtual void | dumpChunksToObj (const char *path)=0
virtual uint32_t * | getIndexBuffer ()=0
virtual uint32_t * | getIndexOffset ()=0
virtual PerTriangleAdditionalData * | getPerTriangleData ()=0
virtual uint32_t | getResultChunkCount ()=0
virtual Vertex * | getVertexBuffer ()=0
virtual uint32_t * | getVertexOffset ()=0
virtual void | processMesh (DamagePattern *pattern, const Mesh *msh)=0
virtual void | release ()=0

## Member Function Documentation

virtual void Nv::Blast::FractureRT::dumpChunksToObj | ( | const char * | path | ) | `[pure virtual]`

Implemented in Nv::Blast::FractureRTImpl, and Nv::Blast::FractureRTMultithreadedImpl.

virtual uint32_t* Nv::Blast::FractureRT::getIndexBuffer | ( |  | ) | `[pure virtual]`

Implemented in Nv::Blast::FractureRTImpl, and Nv::Blast::FractureRTMultithreadedImpl.

virtual uint32_t* Nv::Blast::FractureRT::getIndexOffset | ( |  | ) | `[pure virtual]`

Implemented in Nv::Blast::FractureRTImpl, and Nv::Blast::FractureRTMultithreadedImpl.

virtual PerTriangleAdditionalData* Nv::Blast::FractureRT::getPerTriangleData | ( |  | ) | `[pure virtual]`

Implemented in Nv::Blast::FractureRTImpl, and Nv::Blast::FractureRTMultithreadedImpl.

virtual uint32_t Nv::Blast::FractureRT::getResultChunkCount | ( |  | ) | `[pure virtual]`

Implemented in Nv::Blast::FractureRTImpl, and Nv::Blast::FractureRTMultithreadedImpl.

virtual Vertex* Nv::Blast::FractureRT::getVertexBuffer | ( |  | ) | `[pure virtual]`

Implemented in Nv::Blast::FractureRTImpl, and Nv::Blast::FractureRTMultithreadedImpl.

virtual uint32_t* Nv::Blast::FractureRT::getVertexOffset | ( |  | ) | `[pure virtual]`

Implemented in Nv::Blast::FractureRTImpl, and Nv::Blast::FractureRTMultithreadedImpl.

virtual void Nv::Blast::FractureRT::processMesh | ( | DamagePattern * | pattern,
|  | const Mesh * | msh |
| ) |  |  | `[pure virtual]`

Implemented in Nv::Blast::FractureRTImpl, and Nv::Blast::FractureRTMultithreadedImpl.

virtual void Nv::Blast::FractureRT::release | ( |  | ) | `[pure virtual]`

Implemented in Nv::Blast::FractureRTImpl, and Nv::Blast::FractureRTMultithreadedImpl.

The documentation for this class was generated from the following file:

- sdk/extensions/RT/include/NvBlastExtRT.h